Package org.eclipse.cdt.utils.coff

## Class CodeViewReader

- java.lang.Object
- - org.eclipse.cdt.utils.coff.CodeViewReader

All Implemented Interfaces:
  `ISymbolReader`

    public class CodeViewReader
    extends Object
    implements ISymbolReader

### Constructor Summary

Constructors
`CodeViewReader​(RandomAccessFile accessFile, int dataOffset, boolean littleEndian)`

### Method Summary

All Methods Instance Methods Concrete Methods
`String[]` `getSourceFiles()`
`String[]` `getSourceFiles​(org.eclipse.core.runtime.IProgressMonitor monitor)` Gets the source files from this symbol reader.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CodeViewReader

    public CodeViewReader​(RandomAccessFile accessFile,
                          int dataOffset,
                          boolean littleEndian)

### Method Detail

#### getSourceFiles

    public String[] getSourceFiles()

Specified by:
  `getSourceFiles` in interface `ISymbolReader`

#### getSourceFiles

    public String[] getSourceFiles​(org.eclipse.core.runtime.IProgressMonitor monitor)

Description copied from interface: `ISymbolReader`
Gets the source files from this symbol reader.

Specified by:
  `getSourceFiles` in interface `ISymbolReader`
Parameters:
  `monitor` - a progress monitor since this may be a lengthly operation
Returns:
  an array of path names to the source files
Since:
  5.2